Wallet Infrastructure
Wallet Infrastructure
Recovery Contacts

Get recovery contact

GET
/v1/recovery-contacts

Requires scope recovery-contacts:read.

Authorization

ApiKey
headerAuthorizationBearer <sk_test_ or sk_live_ key>

Your sk_live_ / sk_test_ API key

Response Body

200application/json

Recovery contact

TypeScript Definitions

Use the response body type in TypeScript.

data*
status*number
success*boolean
401application/json

The Authorization header is missing, malformed, or the API key is unknown or revoked

TypeScript Definitions

Use the response body type in TypeScript.

data*
status*number
success*boolean
429application/json

The API key exceeded its request budget for the window

TypeScript Definitions

Use the response body type in TypeScript.

data*
status*number
success*boolean

Language

curl -X GET 'https://api.pilot.shiga.io/v1/recovery-contacts' \  -H 'Authorization: Bearer sk_test_...'
Example Response
{  "data": {    "status": "none"  },  "status": 200,  "success": true}